%define libgudev_api 1.0
%define libgudev_major 0

%define libgudev %mklibname gudev %{libgudev_api} %{libgudev_major}
%define libgudev_devel %mklibname -d gudev %{libgudev_api}
%define libgudev_gir %mklibname gudev-gir %{libgudev_api}

Summary:	GObject-based wrapper library for libudev
Name:		libgudev
Version:	230
Release:	%mkrel 4
License:	LGPLv2+
Group:		System/Libraries
Url:		https://wiki.gnome.org/Projects/libgudev
Source0:	https://download.gnome.org/sources/libgudev/%{version}/libgudev-%{version}.tar.xz

BuildRequires:  glib2-devel
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  gtk-doc

%description
This library makes it much simpler to use libudev from programs
already using GObject. It also makes it possible to easily use libudev
from other programming languages, such as Javascript, because of
GObject introspection support.


%package -n %{libgudev}
Summary:       gudev library package
Group:         System/Libraries
Requires(pre): filesystem >= 2.1.9-18
Provides:      libgudev = %{version}-%{release}
# Upstream promises to remove libgudev from systemd before this version
Obsoletes:     %{libgudev} < 230


%description -n %{libgudev}
This package provides the gudev shared library.

%package -n %{libgudev_gir}
Summary:       GObject Introspection interface description for GUdev
Group:         System/Libraries
Requires:      %{libgudev} = %{version}-%{release}
Conflicts:     %{_lib}gudev1.0_0 < 187-5

%description -n %{libgudev_gir}
GObject Introspection interface description for GUdev.


%package -n %{libgudev_devel}
Summary:       gudev library development files
Group:         Development/C
Requires:      %{libgudev} = %{version}-%{release}
Requires:      %{libgudev_gir} = %{version}-%{release}
Provides:      libgudev-devel = %{version}-%{release}
# (cg) Obsolete the old, versioned devel package
Provides:      %{mklibname -d gudev 0} = %{version}-%{release}
Obsoletes:     %{mklibname -d gudev 0} < 185

%description -n %{libgudev_devel}
This package provides the development files for the gudev shared library.


%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --enable-gtk-doc
%make

%install
%makeinstall_std
find %{buildroot} \( -name '*.a' -o -name '*.la' \) -exec rm {} \;

%files -n %{libgudev}
%{_libdir}/libgudev-%{libgudev_api}.so.%{libgudev_major}{,.*}

%files -n %{libgudev_gir}
%{_libdir}/girepository-1.0/GUdev-%{libgudev_api}.typelib

%files -n %{libgudev_devel}
%doc %{_datadir}/gtk-doc/html/gudev
%{_libdir}/libgudev-%{libgudev_api}.so
%{_includedir}/gudev-%{libgudev_api}
%{_libdir}/pkgconfig/gudev-%{libgudev_api}.pc
%{_datadir}/gir-1.0/GUdev-%{libgudev_api}.gir


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 230-4.mga6
+ Revision: 955561
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 230-3.mga6
+ Revision: 847771
- fix typo in requires

* Mon Jun 29 2015 wally <wally> 230-2.mga6
+ Revision: 847546
- add requires for gir pkg to devel pkg

* Tue Jun 23 2015 colin <colin> 230-1.mga6
+ Revision: 840324
- imported package libgudev

